/*
 * This file is part of Barista.
 * Copyright (C) 2007-2010 Xavier Clerc.
 *
 * Barista is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * Barista is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package fr.x9c.barista.api;

/**
 * This class defines the exception to be thrown when a Barista call fails.
 *
 * @author <a href="mailto:barista@x9c.fr">Xavier Clerc</a>
 * @version 1.0
 * @since 1.0
 */
public final class BaristaException extends RuntimeException {

    /** Serialization UID. */
    static final long serialVersionUID = 8049594418997160639L;

    /**
     * Constructs an exception from message.
     * @param msg exception message
     */
    public BaristaException(final String msg) {
        super(msg);
    } // end constructor (String)

    /**
     * Constructs an exception from message and cause.
     * @param msg exception message
     * @param cause exception cause
     */
    public BaristaException(final String msg, final Throwable cause) {
        super(msg, cause);
    } // end constructor (String, Throwable)
    
} // end class 'BaristaException'
