(*
 * This file is part of Barista.
 * Copyright (C) 2007-2010 Xavier Clerc.
 *
 * Barista is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * Barista is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *)

(** This module defines some Java- and UTF8-related constants that are used
   throughout the Barista project. *)


(** {6 Java constants} *)

val magic_number : int64


(** {6 String constants} *)

(** {7 Attribute-related strings} *)

val attr_annotation_default : Utils.utf8

val attr_code : Utils.utf8

val attr_constant_value : Utils.utf8

val attr_deprecated : Utils.utf8

val attr_enclosing_method : Utils.utf8

val attr_exceptions : Utils.utf8

val attr_inner_classes : Utils.utf8

val attr_line_number_table : Utils.utf8

val attr_local_variable_table : Utils.utf8

val attr_local_variable_type_table : Utils.utf8

val attr_runtime_invisible_annotations : Utils.utf8

val attr_runtime_invisible_parameter_annotations : Utils.utf8

val attr_runtime_visible_annotations : Utils.utf8

val attr_runtime_visible_parameter_annotations : Utils.utf8

val attr_signature : Utils.utf8

val attr_source_debug_extension : Utils.utf8

val attr_source_file : Utils.utf8

val attr_stack_map_table : Utils.utf8

val attr_synthetic : Utils.utf8

val attr_all : Utils.utf8 list

(** {7 Miscellaneous strings} *)

val class_constructor : Utils.utf8

val class_initializer : Utils.utf8

val empty_utf8 : Utils.utf8

val java_lang_Object : Utils.utf8


(** {6 Character constants} *)

(** {7 Capital letters} *)

val capital_b : Utils.uchar

val capital_c : Utils.uchar

val capital_d : Utils.uchar

val capital_f : Utils.uchar

val capital_i : Utils.uchar

val capital_j : Utils.uchar

val capital_l : Utils.uchar

val capital_s : Utils.uchar

val capital_t : Utils.uchar

val capital_v : Utils.uchar

val capital_z : Utils.uchar

(** {7 Small letters} *)

val small_c : Utils.uchar

val small_e : Utils.uchar

val small_s : Utils.uchar

(** {7 Digits} *)

val digits : Utils.uchar list

(** {7 Special characters} *)

val at_character : Utils.uchar

val back_slash : Utils.uchar

val circonflex : Utils.uchar

val closing_parenthesis : Utils.uchar

val closing_square_bracket : Utils.uchar

val colon : Utils.uchar

val comma : Utils.uchar

val dollar : Utils.uchar

val dot : Utils.uchar

val greater_than : Utils.uchar

val lower_than : Utils.uchar

val minus : Utils.uchar

val opening_parenthesis : Utils.uchar

val opening_square_bracket : Utils.uchar

val plus : Utils.uchar

val quote : Utils.uchar

val semi_colon : Utils.uchar

val sharp : Utils.uchar

val slash : Utils.uchar

val space : Utils.uchar

val star : Utils.uchar

val tabulation : Utils.uchar

val underscore : Utils.uchar
